X2Go Bug report logs - #485
manpage doesn't match behaviour/sourcecode

version graph

Package: pyhoca-cli; Maintainer for pyhoca-cli is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-cli is src:pyhoca-cli.

Reported by: "C. Bienmueller (KGA)" <biec@kronberg-gymnasium.de>

Date: Thu, 1 May 2014 09:00:02 UTC

Severity: normal

Tags: pending

Found in version 0.4.0.2

Fixed in version 0.5.0.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#485; Package pyhoca-cli. (Thu, 01 May 2014 09:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to "C. Bienmueller (KGA)" <biec@kronberg-gymnasium.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 01 May 2014 09:00:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: "C. Bienmueller (KGA)" <biec@kronberg-gymnasium.de>
To: submit@bugs.x2go.org
Subject: manpage doesn't match behaviour/sourcecode
Date: Thu, 01 May 2014 10:52:18 +0200
Package: pyhoca-cli
Version: 0.4.0.2

The manpage (0.2.1.x from Nov 2012) says, that "pyhoca-cli --from-stdin"
expects

        username password server command

to get via stdin.

It only works (and the sourcecode around line 370 explains why) with

        username server command password

In addition, only the sourcecode tells, that the command ist set to
uppercase.

As this usage might be usefull for other cases than LDM it should be
clearified in the manpage. Thanks

System: Ubuntu Trusty, x2go installed via sourcelist entry:
deb http://ppa.launchpad.net/x2go/stable/ubuntu trusty main #x2go


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#485; Package pyhoca-cli. (Tue, 06 May 2014 09:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 09:40:02 GMT) (full text, mbox, link).


Message #10 received at 485@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 485-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 485@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as pending for release
Date: Tue, 6 May 2014 11:35:05 +0200 (CEST)
tag #485 pending
fixed #485 0.5.0.0
thanks

Hello,

X2Go issue #485 (src:pyhoca-cli) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=8e160bd

The issue will most likely be fixed in src:pyhoca-cli (0.5.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 8e160bd06d1db80194e3150663087400fc4f34fa
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue May 6 11:34:36 2014 +0200

    Fix description of --from-stdin option on man page. (Fixes: #485).

diff --git a/debian/changelog b/debian/changelog
index 4c431b4..c7b3c86 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,6 +13,7 @@ pyhoca-cli (0.5.0.0-0x2go1) UNRELEASED; urgency=low
       if a broker session profile backend is in use.
     - Update man page with (future) broker options. Some man page fixes
       (mentioning X2Go Client where it should name PyHoca-CLI).
+    - Fix description of --from-stdin option on man page. (Fixes: #485).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 10 Mar 2014 15:56:42 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 06 May 2014 09:40:03 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.0.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 06 May 2014 09:40:03 GMT) (full text, mbox, link).


Message sent on to "C. Bienmueller (KGA)" <biec@kronberg-gymnasium.de>:
Bug#485. (Tue, 06 May 2014 09:40:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#485; Package pyhoca-cli. (Mon, 20 Oct 2014 11:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 20 Oct 2014 11:10:02 GMT) (full text, mbox, link).


Message #22 received at 485@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 485-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 485@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as closed
Date: Mon, 20 Oct 2014 13:09:22 +0200 (CEST)
close #485
thanks

Hello,

we are very hopeful that X2Go issue #485 reported by you
has been resolved in the new release (0.5.0.0) of the
X2Go source project »src:pyhoca-cli«.

You can view the complete changelog entry of src:pyhoca-cli (0.5.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-cli.

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=aed661b9e375ec8abef32703bcd8f693d0eb0ff5;hp=3c27e63bc22fc2d366142f5113ddc97ff0e42ecc

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-cli.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-cli
Version: 0.5.0.0-0x2go1
Status: RELEASE
Date: Mon, 20 Oct 2014 13:08:31 +0200
Fixes: 485
Changes: 
 pyhoca-cli (0.5.0.0-0x2go1) RELEASED; urgency=low
 .
   * New upstream version (0.5.0.0):
     - Add cmdline option --broker-url. This adds X2Go Session Broker
       support to PyHoca-CLI.
     - Add cmdline option --broker-password. Masquerade broker password
       in process list (Linux/Mac only).
     - If a user name can neither be detected from the session profile, nor
       from the command line option, try the username used for the broker
       authentication.
     - When --list-profiles is invoked: Don't crash if a session profile
       backend does not rely on config files. Show the session broker URL
       if a broker session profile backend is in use.
     - Update man page with (future) broker options. Some man page fixes
       (mentioning X2Go Client where it should name PyHoca-CLI).
     - Fix description of --from-stdin option on man page. (Fixes: #485).
     - Rename LICENSE.txt to COPYING.
     - Add cmdline options --backend-<*> to enforce usage of certain
       Python X2Go backends for session profile, settings, control session,
       terminal session, etc.
   * pyhoca-cli.spec:
     + Adapt to building on openSUSE/SLES.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 20 Oct 2014 11:10:03 GMT) (full text, mbox, link).


Notification sent to "C. Bienmueller (KGA)" <biec@kronberg-gymnasium.de>:
Bug acknowledged by developer. (Mon, 20 Oct 2014 11:10:03 GMT) (full text, mbox, link).


Message sent on to "C. Bienmueller (KGA)" <biec@kronberg-gymnasium.de>:
Bug#485. (Mon, 20 Oct 2014 11:10:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 18 Nov 2014 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Aug 22 22:25:17 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.